Send a test event to a webhook endpoint
curl --request POST \
--url https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "payment.captured"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'payment.captured'})
};
fetch('https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event"
payload = { "type": "payment.captured" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'payment.captured'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "webhook_test_delivery",
"webhook_endpoint": "we_01M75NE5G1H4J7K1M4N7P2Q5RS",
"delivered": true,
"status_code": 200,
"error": null,
"duration_ms": 182,
"event": {
"id": "evt_01M75NG7J3K6M9N3P6Q9R4S7TV",
"type": "payment.captured",
"api_version": "2026-10-01",
"created_at": "2026-10-13T16:21:06.000Z",
"livemode": false,
"partner_id": "ptn_01M75N0J8SFRJV6H2JGMCJR6Q2",
"data": {
"object": {
"id": "pay_01M75NG8K4M7N1P4Q7R1S5T8VW",
"object": "payment",
"status": "captured",
"amount": 4999,
"currency": "EUR",
"amount_authorized": 4999,
"amount_captured": 4999,
"amount_refunded": 0,
"amount_disputed": 0,
"amount_capturable": 0,
"amount_mismatch": false,
"capture_method": "automatic",
"checkout_session": "cs_01M75NG9M5N8P2Q5R8S2T6V9WX",
"customer": null,
"reference": "kalixo_test_event",
"description": "Kalixo test event",
"payment_method": {
"type": "card",
"brand": "visa",
"last4": "1111",
"exp_month": 3,
"exp_year": 2030,
"stored_payment_method": null
},
"last_payment_error": null,
"metadata": {
"kalixo_test_event": "true"
},
"version": 3,
"authorized_at": "2026-10-13T16:21:06.000Z",
"captured_at": "2026-10-13T16:21:06.000Z",
"canceled_at": null,
"created_at": "2026-10-13T16:21:06.000Z",
"updated_at": "2026-10-13T16:21:06.000Z",
"livemode": false
}
}
}
}
Test helpers
Send a test event to a webhook endpoint
Sandbox only. Signs a sample event of type with the endpoint’s secret
and sends it to the endpoint once, synchronously. The response tells you
whether your endpoint answered with a 2xx.
Test events are not stored in GET /v1/events, are not retried and go
only to this endpoint, even if it does not subscribe to type or is
disabled. Their objects do not exist: reference is kalixo_test_event
and metadata.kalixo_test_event is "true" where the object has them.
POST
/
v1
/
test-helpers
/
webhook-endpoints
/
{id}
/
send-event
Send a test event to a webhook endpoint
curl --request POST \
--url https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "payment.captured"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'payment.captured'})
};
fetch('https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event"
payload = { "type": "payment.captured" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/test-helpers/webhook-endpoints/{id}/send-event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'payment.captured'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "webhook_test_delivery",
"webhook_endpoint": "we_01M75NE5G1H4J7K1M4N7P2Q5RS",
"delivered": true,
"status_code": 200,
"error": null,
"duration_ms": 182,
"event": {
"id": "evt_01M75NG7J3K6M9N3P6Q9R4S7TV",
"type": "payment.captured",
"api_version": "2026-10-01",
"created_at": "2026-10-13T16:21:06.000Z",
"livemode": false,
"partner_id": "ptn_01M75N0J8SFRJV6H2JGMCJR6Q2",
"data": {
"object": {
"id": "pay_01M75NG8K4M7N1P4Q7R1S5T8VW",
"object": "payment",
"status": "captured",
"amount": 4999,
"currency": "EUR",
"amount_authorized": 4999,
"amount_captured": 4999,
"amount_refunded": 0,
"amount_disputed": 0,
"amount_capturable": 0,
"amount_mismatch": false,
"capture_method": "automatic",
"checkout_session": "cs_01M75NG9M5N8P2Q5R8S2T6V9WX",
"customer": null,
"reference": "kalixo_test_event",
"description": "Kalixo test event",
"payment_method": {
"type": "card",
"brand": "visa",
"last4": "1111",
"exp_month": 3,
"exp_year": 2030,
"stored_payment_method": null
},
"last_payment_error": null,
"metadata": {
"kalixo_test_event": "true"
},
"version": 3,
"authorized_at": "2026-10-13T16:21:06.000Z",
"captured_at": "2026-10-13T16:21:06.000Z",
"canceled_at": null,
"created_at": "2026-10-13T16:21:06.000Z",
"updated_at": "2026-10-13T16:21:06.000Z",
"livemode": false
}
}
}
}
Authorizations
Headers
Body
application/json
Available options:
checkout_session.completed, checkout_session.expired, payment.authorized, payment.captured, payment.partially_captured, payment.failed, payment.canceled, payment.expired, payment.amount_updated, payment.amount_mismatch, payment.fraud_reported, capture.failed, refund.succeeded, refund.failed, dispute.created, dispute.updated, dispute.funds_withdrawn, dispute.won, dispute.lost, payment_method.attached, payment_method.updated, payment_method.detached Response
The delivery result.